PTHREAD_SPIN_UNLOCK(3)

NAME
pthread_spin_unlock - unlock a spinlock object

SYNOPSIS
libpthread
#include <pthread.h>
int
pthread_spin_unlock(pthread_spinlock_t *lock);

DESCRIPTION
The pthread_spin_unlock() function releases the spin lock referenced by lock which was locked via the pthread_spin_lock() or pthread_spin_trylock() functions.

RETURN VALUES
If successful, pthread_spin_unlock() returns zero; otherwise an error number is returned to indicate the error.

ERRORS
pthread_spin_unlock() will fail if:

[EINVAL]
    The value specified by lock is invalid.

[EPERM]
    The lock is not owned by the calling thread.

SEE ALSO
pthread_spin_init(3), pthread_spin_lock(3)

STANDARDS
pthread_spin_unlock() conforms to p1003.1-2008.